Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/NetronClipboard.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/NetronClipboard.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/NetronClipboard.cs	(revision 4068)
@@ -1,136 +1,114 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Collections;
-using System.Diagnostics;
 using System.IO;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Our custom "clipboard" for copying diagram elements (or anything else
+  /// for that matter) to.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public static class NetronClipboard {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Our custom "clipboard" for copying diagram elements (or anything else
-    /// for that matter) to.
+    /// The items on the clipboard.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public static class NetronClipboard
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The items on the clipboard.
-        /// </summary>
-        // ------------------------------------------------------------------
-        static ArrayList items = new ArrayList();
+    // ------------------------------------------------------------------
+    static ArrayList items = new ArrayList();
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the collection of all items.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public static ArrayList Items
-        {
-            get
-            {
-                return items;
-            }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the collection of all items.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public static ArrayList Items {
+      get {
+        return items;
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Adds the item to the collection.
+    /// </summary>
+    /// <param name="item">object</param>
+    /// <returns>int</returns>
+    // ------------------------------------------------------------------
+    public static int Add(object item) {
+      return items.Add(item);
+    }
+
+    public static int AddStream(MemoryStream stream) {
+      return items.Add(stream);
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Clears the collection.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public static void Clear() {
+      items.Clear();
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns if we have any items of the type specified.
+    /// </summary>
+    /// <param name="type">Type</param>
+    /// <returns>bool</returns>
+    // ------------------------------------------------------------------
+    public static bool ContainsData(Type type) {
+      foreach (Object obj in items) {
+        if (obj.GetType() == type) {
+          return true;
         }
+      }
+      return false;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Adds the item to the collection.
-        /// </summary>
-        /// <param name="item">object</param>
-        /// <returns>int</returns>
-        // ------------------------------------------------------------------
-        public static int Add(object item)
-        {
-            return items.Add(item);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all items of the type specified.
+    /// </summary>
+    /// <param name="type"></param>
+    /// <returns></returns>
+    // ------------------------------------------------------------------
+    public static ArrayList GetAll(Type type) {
+      ArrayList subitems = new ArrayList();
+      foreach (Object obj in items) {
+        if (obj.GetType() == type) {
+          subitems.Add(obj);
         }
+      }
+      return subitems;
+    }
 
-        public static int AddStream(MemoryStream stream)
-        {
-            return items.Add(stream);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns the FIRST item found that has the type specified.
+    /// </summary>
+    /// <param name="type">Type</param>
+    /// <returns>object</returns>
+    // ------------------------------------------------------------------
+    public static object Get(Type type) {
+      foreach (Object obj in items) {
+        if (obj.GetType() == type) {
+          return obj;
         }
+      }
+      return null;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Clears the collection.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public static void Clear()
-        {
-            items.Clear();
+    public static MemoryStream GetMemoryStream() {
+      foreach (object obj in items) {
+        if (obj is MemoryStream) {
+          return obj as MemoryStream;
         }
+      }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns if we have any items of the type specified.
-        /// </summary>
-        /// <param name="type">Type</param>
-        /// <returns>bool</returns>
-        // ------------------------------------------------------------------
-        public static bool ContainsData(Type type)
-        {
-            foreach (Object obj in items)
-            {
-                if (obj.GetType() == type)
-                {
-                    return true;
-                }
-            }
-            return false;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all items of the type specified.
-        /// </summary>
-        /// <param name="type"></param>
-        /// <returns></returns>
-        // ------------------------------------------------------------------
-        public static ArrayList GetAll(Type type)
-        {
-            ArrayList subitems = new ArrayList();
-            foreach (Object obj in items)
-            {
-                if (obj.GetType() == type)
-                {
-                    subitems.Add(obj);
-                }
-            }
-            return subitems;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns the FIRST item found that has the type specified.
-        /// </summary>
-        /// <param name="type">Type</param>
-        /// <returns>object</returns>
-        // ------------------------------------------------------------------
-        public static object Get(Type type)
-        {
-            foreach (Object obj in items)
-            {
-                if (obj.GetType() == type)
-                {
-                    return obj;
-                }
-            }
-            return null;
-        }
-
-        public static MemoryStream GetMemoryStream()
-        {
-            foreach (object obj in items)
-            {
-                if (obj is MemoryStream)
-                {
-                    return obj as MemoryStream;
-                }
-            }
-
-            return null;
-        }
+      return null;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Paint.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Paint.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Paint.cs	(revision 4068)
@@ -1,16 +1,10 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    public static class Paint
-    {
-        public static void SimpleConnector(
-            Graphics g,
-            Rectangle bounds)
-        {
-        }
+namespace Netron.Diagramming.Core {
+  public static class Paint {
+    public static void SimpleConnector(
+        Graphics g,
+        Rectangle bounds) {
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/SceneIndexComparer.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/SceneIndexComparer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/SceneIndexComparer.cs	(revision 4068)
@@ -1,39 +1,32 @@
-using System;
 using System.Collections;
 using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.IO;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This <see cref="IComparer"/> compares two diagram entities with respect to their scene index.
+  /// A diagram entity is 'less' than another if the scene index is smaller. Note that two distinct entities can never
+  /// have the same scene index. Since this comparer is used in the first place to re-order the <see cref="IPaintable"/> collection
+  /// it will throw an exception if two indices are found to be the same.
+  /// </summary>
+  /// <typeparam name="T"></typeparam>
+  class SceneIndexComparer<T> : IComparer<T> where T : IDiagramEntity {
     /// <summary>
-    /// This <see cref="IComparer"/> compares two diagram entities with respect to their scene index.
-    /// A diagram entity is 'less' than another if the scene index is smaller. Note that two distinct entities can never
-    /// have the same scene index. Since this comparer is used in the first place to re-order the <see cref="IPaintable"/> collection
-    /// it will throw an exception if two indices are found to be the same.
+    /// Compares two objects and returns a value indicating whether one is less than, equal to, or greater than the other.
     /// </summary>
-    /// <typeparam name="T"></typeparam>
-    class SceneIndexComparer<T> : IComparer<T> where T:IDiagramEntity
-    {
-        /// <summary>
-        /// Compares two objects and returns a value indicating whether one is less than, equal to, or greater than the other.
-        /// </summary>
-        /// <param name="x">The first object to compare.</param>
-        /// <param name="y">The second object to compare.</param>
-        /// <returns>
-        /// Value Condition Less than zerox is less than y.Zerox equals y.Greater than zerox is greater than y.
-        /// </returns>
-        public int Compare(T x, T y)
-        {
-            if(x.SceneIndex == y.SceneIndex)
-                throw new InconsistencyException("Inconsistent stack: two entities had the same scene index.");
+    /// <param name="x">The first object to compare.</param>
+    /// <param name="y">The second object to compare.</param>
+    /// <returns>
+    /// Value Condition Less than zerox is less than y.Zerox equals y.Greater than zerox is greater than y.
+    /// </returns>
+    public int Compare(T x, T y) {
+      if (x.SceneIndex == y.SceneIndex)
+        throw new InconsistencyException("Inconsistent stack: two entities had the same scene index.");
 
-            if(x.SceneIndex < y.SceneIndex)
-                return -1;
-            else
-                return +1;
-        }
+      if (x.SceneIndex < y.SceneIndex)
+        return -1;
+      else
+        return +1;
+    }
 
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Selection.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Selection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Selection.cs	(revision 4068)
@@ -1,6 +1,4 @@
 using System;
-using System.Collections.Generic;
 using System.Collections;
-using System.Text;
 using System.Drawing;
 using System.Drawing.Drawing2D;
@@ -153,5 +151,5 @@
       g.SmoothingMode = SmoothingMode.HighQuality;
       Bundle bundle = new Bundle(SelectedItems.Copy());
-      return ImageExporter.FromBundle(bundle,g);
+      return ImageExporter.FromBundle(bundle, g);
     }
 
